KD Chart 2: KDChart::ThreeDBarAttributes Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# KDChart::ThreeDBarAttributes Class Reference

`#include <KDChartThreeDBarAttributes.h>`

Inheritance diagram for KDChart::ThreeDBarAttributes:

[legend]
Collaboration diagram for KDChart::ThreeDBarAttributes:

[legend]
List of all members.

## Detailed Description

A set of 3D bar attributes.

Definition at line 38 of file KDChartThreeDBarAttributes.h.

## Public Member Functions
uint | angle () const
double | depth () const
bool | isEnabled () const
bool | operator!= (const AbstractThreeDAttributes &other) const
bool | operator!= (const ThreeDBarAttributes &other) const
ThreeDBarAttributes & | operator= (const ThreeDBarAttributes &)
bool | operator== (const AbstractThreeDAttributes &) const
bool | operator== (const ThreeDBarAttributes &) const
void | setAngle (uint threeDAngle)
void | setDepth (double depth)
void | setEnabled (bool enabled)
void | setUseShadowColors (bool useShadowColors)
| ThreeDBarAttributes (const ThreeDBarAttributes &)
| ThreeDBarAttributes ()
bool | useShadowColors () const
double | validDepth () const
| ~ThreeDBarAttributes ()

## Constructor & Destructor Documentation

ThreeDBarAttributes::ThreeDBarAttributes | ( |  | ) |

Definition at line 44 of file KDChartThreeDBarAttributes.cpp.

    00045     : AbstractThreeDAttributes( new Private() )
    00046 {
    00047
    00048 }

ThreeDBarAttributes::ThreeDBarAttributes | ( | const ThreeDBarAttributes & |  | ) |

Definition at line 50 of file KDChartThreeDBarAttributes.cpp.

    00051     : AbstractThreeDAttributes( new Private( *r.d) )
    00052 {
    00053 }

ThreeDBarAttributes::~ThreeDBarAttributes | ( |  | ) |

Definition at line 65 of file KDChartThreeDBarAttributes.cpp.

    00066 {
    00067 }

## Member Function Documentation

uint ThreeDBarAttributes::angle | ( |  | ) | const

Definition at line 98 of file KDChartThreeDBarAttributes.cpp.

References d.

Referenced by operator<<(), and operator==().

    00099 {
    00100     return d->angle;
    00101 }

double AbstractThreeDAttributes::depth | ( |  | ) | const`[inherited]`

Definition at line 103 of file KDChartAbstractThreeDAttributes.cpp.

References d.

Referenced by operator<<(), KDChart::AbstractThreeDAttributes::operator==(), and KDChart::PieDiagram::paint().

    00104 {
    00105     return d->depth;
    00106 }

bool AbstractThreeDAttributes::isEnabled | ( |  | ) | const`[inherited]`

Definition at line 92 of file KDChartAbstractThreeDAttributes.cpp.

References d.

Referenced by operator<<(), KDChart::AbstractThreeDAttributes::operator==(), KDChart::PieDiagram::paint(), and KDChart::AbstractThreeDAttributes::validDepth().

    00093 {
    00094     return d->enabled;
    00095 }

bool KDChart::AbstractThreeDAttributes::operator!= | ( | const AbstractThreeDAttributes & | other | ) | const`[inherited]`

Definition at line 60 of file KDChartAbstractThreeDAttributes.h.

    00060 { return !operator==(other); }

bool KDChart::ThreeDBarAttributes::operator!= | ( | const ThreeDBarAttributes & | other | ) | const

Definition at line 56 of file KDChartThreeDBarAttributes.h.

    00056 { return !operator==(other); }

ThreeDBarAttributes & ThreeDBarAttributes::operator= | ( | const ThreeDBarAttributes & |  | ) |

Definition at line 55 of file KDChartThreeDBarAttributes.cpp.

References d.

    00056 {
    00057     if( this == &r )
    00058         return *this;
    00059
    00060     *d = *r.d;
    00061
    00062     return *this;
    00063 }

bool AbstractThreeDAttributes::operator== | ( | const AbstractThreeDAttributes & |  | ) | const`[inherited]`

Definition at line 72 of file KDChartAbstractThreeDAttributes.cpp.

References KDChart::AbstractThreeDAttributes::depth(), and KDChart::AbstractThreeDAttributes::isEnabled().

Referenced by KDChart::ThreeDPieAttributes::operator==(), KDChart::ThreeDLineAttributes::operator==(), and operator==().

    00073 {
    00074     if( isEnabled() == r.isEnabled() &&
    00075         depth() == r.depth() )
    00076         return true;
    00077     else
    00078         return false;
    00079 }

bool ThreeDBarAttributes::operator== | ( | const ThreeDBarAttributes & |  | ) | const

Definition at line 74 of file KDChartThreeDBarAttributes.cpp.

References angle(), KDChart::AbstractThreeDAttributes::operator==(), and useShadowColors().

    00075 {
    00076     return ( useShadowColors() == r.useShadowColors() &&
    00077              angle() == r.angle() &&
    00078              AbstractThreeDAttributes::operator==(r));
    00079 }

void ThreeDBarAttributes::setAngle | ( | uint | threeDAngle | ) |

Definition at line 93 of file KDChartThreeDBarAttributes.cpp.

References d.

    00094 {
    00095     d->angle = threeDAngle;
    00096 }

void AbstractThreeDAttributes::setDepth | ( | double | depth | ) | `[inherited]`

Definition at line 97 of file KDChartAbstractThreeDAttributes.cpp.

References d.

    00098 {
    00099     d->depth = depth;
    00100 }

void AbstractThreeDAttributes::setEnabled | ( | bool | enabled | ) | `[inherited]`

Definition at line 87 of file KDChartAbstractThreeDAttributes.cpp.

References d.

    00088 {
    00089     d->enabled = enabled;
    00090 }

void ThreeDBarAttributes::setUseShadowColors | ( | bool | useShadowColors | ) |

Definition at line 83 of file KDChartThreeDBarAttributes.cpp.

References d.

    00084 {
    00085     d->useShadowColors = shadowColors;
    00086 }

bool ThreeDBarAttributes::useShadowColors | ( |  | ) | const

Definition at line 88 of file KDChartThreeDBarAttributes.cpp.

References d.

Referenced by operator<<(), and operator==().

    00089 {
    00090     return d->useShadowColors;
    00091 }

double AbstractThreeDAttributes::validDepth | ( |  | ) | const`[inherited]`

Definition at line 109 of file KDChartAbstractThreeDAttributes.cpp.

References d, and KDChart::AbstractThreeDAttributes::isEnabled().

Referenced by KDChart::Plotter::threeDItemDepth(), KDChart::LineDiagram::threeDItemDepth(), and KDChart::BarDiagram::threeDItemDepth().

    00110 {
    00111     return isEnabled() ? d->depth : 0.0;
    00112 }

The documentation for this class was generated from the following files:

- KDChartThreeDBarAttributes.h
- KDChartThreeDBarAttributes.cpp